#!/bin/sh

name="wget"
title="GNU Wget"
package="wget"
version="1.8.2"
build="1"
noarch="n"
build_info="Standard build."

info="A network utility to retrieve files from the Web."
desc="GNU Wget is a utility for noninteractive download of files
from the Web. It supports HTTP and FTP protocols, as well
as retrieval through HTTP proxies. It can follow HTML links,
download many pages, and convert the links for local viewing.
It can also mirror FTP hierarchies or only those files that
have changed. Wget has been designed for robustness over
slow network connections; if a download fails due to a
network problem, it will keep retrying until the whole file
has been retrieved."
category="net/client/download"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,COPYING,INSTALL,MACHINES,MAILING-LIST,NEWS,PATCHES,README*,TODO"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://ftp.gnu.org/gnu/wget/$name-$version.tar.gz

configure_option --prefix=/usr
configure_option --sysconfdir=/etc

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: wget.builder,v $
# Revision 1.3  2002/12/26 14:41:15  swiergot
# - Build 1.
#
# Revision 1.2  2002/12/26 14:11:13  swiergot
# - Removed ChangeLog from docs_source. We have NEWS and it's enough.
#
# Revision 1.1  2002/12/26 13:44:26  swiergot
# - Initial release.
# - Version 1.8.2.
#
